## CESS Account Guide


The CESS account carries the user's assets in the CESS network. Users need to properly keep mnemonics and backup files of CESS network to prevent permanent loss of assets in the account due to account loss. There are two ways to create accounts including [the polkadot.js wallet extension](#1-create-an-account-using-the-polkadotjs-wallet-extension) and [the Apps](#2-create-an-cess-account-using-polkadot-js-apps).

## 1. Create an account using the polkadot.js wallet extension

### Install

Go to install [polkadot.js wallet extension](https://polkadot.js.org/extension/). After the installation is complete, you can pin it for easy use.

### Connect CESS in Polkadot-JS Apps

Open [Polkadot-JS Apps](https://polkadot.js.org/apps/), and allow Polkadot-JS Apps access to polkadot.js wallet extension.

Set the RPC address of testnet C-ALPHA to "wss://cess.today/rpc2-testnet/ws", and switch.

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img1.png)

Now the setting is completed and the CESS network has been connected.

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img2.png)

### Create CESS account

Click polkadot.js wallet extension in the upper right corner of the browser and click "+".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img3.png)

**Be sure to back up mnemonics**, check "saved mnemonics" and click "next step".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img4.png)

Select "C-ALPHA" for the network.

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img5.png)

The account is created successfully as shown below.

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img6.png)


### Backup CESS account

Click the setting option on the right side of the account and click "export accout" to export the backup file.

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img7.png)

**Please remember to take care of your backup file**, the format be like "5GNm1AuNuXu57LQxxxxxxF1yHPMMjRaZdpxxxxxxQKTRmea5.json".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img8.png)

### Sync account to Apps

Open [Polkadot-JS Apps for C-ALPHA](https://polkadot.js.org/apps/?rpc=wss%3A%2F%2Fcess.today%2Frpc2-testnet%2Fws%2F#/accounts), and allow Polkadot-JS Apps access to polkadot.js wallet extension.

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img9.png)

## 2. Create an CESS account using Polkadot-JS Apps

### Create CESS account

Open [Polkadot-JS Apps for C-ALPHA](https://polkadot.js.org/apps/?rpc=wss%3A%2F%2Fcess.today%2Frpc2-testnet%2Fws%2F#/accounts), click "account" under "account" in the top navigation bar, and then click "add account".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img10.png)

**Be sure to back up mnemonics**, check "I hava saved my mnemonic seed safely" and click "next step".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img11.png)

Enter the account name and password and click "next".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img12.png)

### Backup CESS account

Click "save" to back up the account information, **Please remember to take care of your backup file **, the format be like "5DAHn4Y4xxxxxxdBPCGaaVkJa6isEDk4kxxxxxx8QffnT3ED.json".

![Image](https://raw.githubusercontent.com/Cumulus2021/W3F-illustration/main/docs/account%20guide/img13.png)
